LinuxQuestions.org
Help answer threads with 0 replies.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions
User Name
Password
Linux - Distributions This forum is for Distribution specific questions.
Red Hat, Slackware, Debian, Novell, LFS, Mandriva, Ubuntu, Fedora - the list goes on and on... Note: An (*) indicates there is no official participation from that distribution here at LQ.

Notices


Reply
  Search this Thread
Old 05-02-2004, 07:01 AM   #1
Thom_Redhat
Member
 
Registered: May 2003
Location: England
Distribution: Redhat9 Windows XP
Posts: 41

Rep: Reputation: 15
Fedora Yum problems


I am using Fedora Core1,

When i run 'yum update'

I get this error:-

[thomas@server thomas]$ yum update
Gathering header information file(s) from server(s)
Server: Fedora Core 1 - i386 - Base
Error - /var/cache/yum/base/header.info cannot be found
Please ask your sysadmin to update the headers on this system.
[thomas@server thomas]$


How do i fix this? Am guessing i need a command to re-create headers or something?

Thanks!

Thomas
 
Old 05-02-2004, 08:35 AM   #2
bentz
Member
 
Registered: Mar 2003
Distribution: Fedora, Mac OSX
Posts: 362

Rep: Reputation: 30
Only root has access to write to the /var/cache/yum location to update the header and package cahces. 'su -' to root, and rerun the same command and you should be good to go.

Also, you may want to look up some closer mirrors at http://fedora.redhat.com/download/mirrors.html and update your /etc/yum.conf accordingly. Most people apparently don't do this, making the main fedora.redhat.com mirror very slow.

Good luck!
 
Old 05-02-2004, 04:42 PM   #3
Thom_Redhat
Member
 
Registered: May 2003
Location: England
Distribution: Redhat9 Windows XP
Posts: 41

Original Poster
Rep: Reputation: 15
ok, thanks.

Running the update, it keeps getting stuck on retrieving the some of the headers.

so am having to click ctrl+c, to skip that particular header. I've downloaded a yum.conf of the internet, that has loads of mirrors.

Any ideas ?
 
Old 05-02-2004, 09:47 PM   #4
bentz
Member
 
Registered: Mar 2003
Distribution: Fedora, Mac OSX
Posts: 362

Rep: Reputation: 30
Change the order of the mirrors in the yum.conf that you've got. My experience has been that yum is no good at failing over when a mirror starts to suck out.
 
Old 05-03-2004, 05:36 AM   #5
Thom_Redhat
Member
 
Registered: May 2003
Location: England
Distribution: Redhat9 Windows XP
Posts: 41

Original Poster
Rep: Reputation: 15
ok,

Thank you for your help.
 
Old 07-23-2005, 11:39 AM   #6
gearoidc
LQ Newbie
 
Registered: Jul 2005
Posts: 5

Rep: Reputation: 0
error during update

Hi,

I have been trying to upgrade from FC3 to FC4. I have been following the very handy instructions posted
@ http://www.brandonhutchinson.com/Upg..._with_yum.html

I have managed to update the kernel and remove any old kernels I had. I have also been able to download all updates i
need, but get the following error messages during udating

Total download size: 856 M
Downloading Packages:
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
Error in Transaction: ('installing package kdegraphics-3.4.1-0.fc4.2 needs 492KB on the / filesystem', (9, '/', 503808L))
('installing package kdeutils-3.4.1-0.fc4.1 needs 2MB on the / filesystem', (9, '/', 1937408L))
('installing package kdebase-devel-3.4.1-0.fc4.1 needs 2MB on the / filesystem', (9, '/', 1945600L))
('installing package libgail-gnome-1.1.0-5 needs 2MB on the / filesystem', (9, '/', 1998848L))
('installing package control-center-2.10.1-6 needs 7MB on the / filesystem', (9, '/', 6901760L))
('installing package gnome-volume-manager-1.3.1-1 needs 8MB on the / filesystem', (9, '/', 7630848L))
('installing package gnome-netstatus-2.10.0-4 needs 9MB on the / filesystem',
(9, '/', 8400896L))
('installing package gnome-pilot-2.0.13-2 needs 10MB on the / filesystem', (9, '/', 9728000L))
('installing package system-config-display-1.0.29-1 needs 10MB on the / filesystem', (9, '/', 10256384L))
('installing package php-5.0.4-10.3 needs 13MB on the / filesystem', (9, '/', 12787712L))
('installing package gtkspell-2.0.7-3 needs 13MB on the / filesystem', (9, '/', 12873728L))
('installing package aspell-en-0.51-12 needs 13MB on the / filesystem', (9, '/', 12873728L))
('installing package gaim-1.4.0-4.fc4 needs 21MB on the / filesystem', (9, '/', 21274624L))
('installing package kdeaddons-3.4.1-0.fc4.1 needs 23MB on the / filesystem', (9, '/', 23654400L))
('installing package kdevelop-3.2.1-0.fc4.2 needs 34MB on the / filesystem', (9, '/', 34758656L))
('installing package gnucash-1.8.11-3 needs 39MB on the / filesystem', (9, '/', 40398848L))
('installing package aqhbci-1.0.2beta-2 needs 39MB on the / filesystem', (9, '/', 40505344L))
('installing package gnome-utils-2.10.0-3 needs 45MB on the / filesystem', (9, '/', 46743552L))
('installing package dia-0.94-11 needs 49MB on the / filesystem', (9, '/', 51126272L))
('installing package linuxwacom-0.6.6-5 needs 50MB on the / filesystem', (9, '/', 51404800L))
('installing package perl-SGMLSpm-1.03ii-16 needs 50MB on the / filesystem', (9, '/', 51466240L))
('installing package linuxdoc-tools-0.9.21-5 needs 50MB on the / filesystem',
(9, '/', 52297728L))
('installing package gnome-python2-gnomevfs-2.10.0-1 needs 51MB on the / filesystem', (9, '/', 52449280L))
('installing package gnome-applets-2.10.1-9 needs 74MB on the / filesystem', (9, '/', 77201408L))
('installing package gnome-session-2.10.0-2 needs 75MB on the / filesystem', (9, '/', 78270464L))
('installing package kdeutils-devel-3.4.1-0.fc4.1 needs 75MB on the / filesystem', (9, '/', 78270464L))
('installing package kdenetwork-devel-3.4.1-0.fc4.2 needs 76MB on the / filesystem', (9, '/', 78680064L))
('installing package kdesdk-devel-3.4.1-0.fc4.1 needs 76MB on the / filesystem', (9, '/', 78684160L))
('installing package kdepim-devel-3.4.1-0.fc4.2 needs 76MB on the / filesystem', (9, '/', 78970880L))
('installing package kdeadmin-3.4.1-0.fc4.1 needs 76MB on the / filesystem', (9, '/', 79319040L))
('installing package kdeartwork-3.4.1-0.fc4.2 needs 77MB on the / filesystem', (9, '/', 80568320L))
('installing package gtk-doc-1.3-2 needs 77MB on the / filesystem', (9, '/', 80650240L))
('installing package xmlto-0.0.18-6 needs 77MB on the / filesystem', (9, '/', 80650240L))
('installing package file-roller-2.10.0-1 needs 79MB on the / filesystem', (9, '/', 82419712L))
('installing package gdm-2.6.0.8-16 needs 85MB on the / filesystem', (9, '/', 88936448L))
('installing package NetworkManager-gnome-0.4-18.FC4 needs 85MB on the / filesystem', (9, '/', 88965120L))
('installing package yelp-2.10.0-1.4.1 needs 86MB on the / filesystem', (9, '/', 90013696L))
('installing package gedit-2.10.2-4 needs 96MB on the / filesystem', (9, '/', 100065280L))
('installing package gnome-user-docs-2.8.1-2 needs 96MB on the / filesystem', (9, '/', 100048896L))
('installing package docbook-style-dsssl-1.79-1 needs 99MB on the / filesystem', (9, '/', 102883328L))
('installing package xorg-x11-tools-6.8.2-37 needs 99MB on the / filesystem', (9, '/', 102928384L))
('installing package kdbg-1.2.10-2 needs 99MB on the / filesystem', (9, '/', 103280640L))
('installing package jadetex-3.12-13 needs 101MB on the / filesystem', (9, '/', 105857024L))
('installing package gnome-python2-2.10.0-1 needs 102MB on the / filesystem', (9, '/', 106172416L))
('installing package up2date-gnome-4.4.23-4 needs 102MB on the / filesystem', (9, '/', 106143744L))
('installing package system-config-network-1.3.26-1 needs 101MB on the / filesystem', (9, '/', 105897984L))
('installing package system-config-packages-1.2.25-1 needs 102MB on the / filesystem', (9, '/', 106926080L))
('installing package gnome-python2-extras-2.10.0-2.1 needs 103MB on the / filesystem', (9, '/', 106991616L))
('installing package system-config-httpd-1.3.2-2 needs 104MB on the / filesystem', (9, '/', 108322816L))
('installing package firstboot-1.3.42-1 needs 104MB on the / filesystem', (9, '/', 109043712L))
('installing package hwbrowser-0.21-1 needs 105MB on the / filesystem', (9, '/', 109187072L))
('installing package rhn-applet-2.1.17-3 needs 105MB on the / filesystem', (9, '/', 109916160L))
('installing package system-config-printer-gui-0.6.131-1 needs 105MB on the / filesystem', (9, '/', 109936640L))
[root@core yum]#

Im not out of disk space heres the output from df -h,
Filesystem Size Used Avail Use% Mounted on
/dev/hda3 5.0G 3.3G 1.4G 71% /
/dev/hda1 114M 12M 97M 11% /boot
none 379M 0 379M 0% /dev/shm
/dev/hda2 7.9G 3.0G 4.6G 40% /home
/dev/hda6 1012M 300M 661M 32% /opt
/dev/hda8 388M 11M 357M 3% /tmp
/dev/hda5 3.0G 411M 2.5G 15% /usr/local
/dev/hda7 688M 284M 369M 44% /var

Any suggestions / ideas as to
If i have to ill download the iso files and upgrade from cd-rom, but would like to update via yum.

thanks
gearoid
 
Old 10-17-2005, 12:18 PM   #7
wongster
LQ Newbie
 
Registered: Nov 2004
Posts: 17

Rep: Reputation: 0
yum update error

Hi,

I ran into similar problem trying to update my fresh installation of FC4 using yum.

Have you solve your problem? If yes, could you share with me how you do it?

Thanks.

Wongster
 
Old 10-17-2005, 12:24 PM   #8
gearoidc
LQ Newbie
 
Registered: Jul 2005
Posts: 5

Rep: Reputation: 0
Hi,

Turns out i was running out of disk space i did a huge clean-up of my disk > 2.5 GB free and then tried again and it worked.

-g-
 
Old 10-17-2005, 12:44 PM   #9
wongster
LQ Newbie
 
Registered: Nov 2004
Posts: 17

Rep: Reputation: 0
I did a df -h, it reported that I still have 463M available on /.

If I'm not wrong, all the files were downloaded. The worst is, I don't know what files I can delete in FC4 (or linux in general). Very much a M$ user trying alternative.

Can help?
 
Old 10-17-2005, 01:52 PM   #10
gearoidc
LQ Newbie
 
Registered: Jul 2005
Posts: 5

Rep: Reputation: 0
Hi,

i had 1.4 GB free on / free and it still would not work.

The problem occurs when you try and install all packages at once this requires alot of disk space and even more if you install a new kernel as old ones are not removed.

Here is a link to similar posts that may shed some lite on the matter for you.
post reference

-g-
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Does yum update from Fedora 3 to Fedora 4? Feenix566 Linux - Newbie 1 12-02-2005 10:52 AM
Problems updating Fedora Core 4 with Yum Extender tron_thomas Linux - Software 1 11-06-2005 07:22 PM
Getting YUM setup (Fedora v3) JoelK04 Linux - Newbie 7 03-01-2005 10:19 PM
Fedora Core 3 Yum help chaos_4_4 Fedora 2 11-10-2004 05:18 PM
problems with yum (fedora 1) sohmc Fedora 4 09-14-2004 10:13 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions

All times are GMT -5. The time now is 02:35 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration